--------------------------------------------------------------------------------
--                                                                            --
--                      GNADE  : GNu Ada Database Environment                 --
--                                                                            --
--  Filename         : $Source: /cvsroot/gnade/gnade/support/gnu-db-support-wide_string_tables.ads,v $
--  Description      : Wide_String table                             --
--  Author           : Per Sandberg <per.sandberg@bredband.net>               --
--  Created On       : 21-Mar-2002                                            --
--  Last Modified By : $Author: persan $                                      --
--  Last Modified On : $Date : 2007 / 08 / 24 21 : 33 : 41 $                  --
--  Status           : $State: Exp $                                          --
--                                                                            --
--  Copyright (C) 2007-2008 Per Sandberg                                      --
--                                                                            --
--  GNADE is free software;  you can redistribute it  and/or modify it under  --
--  terms of the  GNU General Public License as published  by the Free Soft-  --
--  ware  Foundation;  either version 2,  or (at your option) any later ver-  --
--  sion.  GNAT is distributed in the hope that it will be useful, but WITH-  --
--  OUT ANY WARRANTY;  without even the  implied warranty of MERCHANTABILITY  --
--  or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License  --
--  for  more details.  You should have  received  a copy of the GNU General  --
--  Public License  distributed with GNAT;  see file COPYING.  If not, write  --
--  to  the Free Software Foundation,  59 Temple Place - Suite 330,  Boston,  --
--  MA 02111-1307, USA.                                                       --
--                                                                            --
--  As a special exception,  if other files  instantiate  generics from this  --
--  unit, or you link  this unit with other files  to produce an executable,  --
--  this  unit  does not  by itself cause  the resulting  executable  to  be  --
--  covered  by the  GNU  General  Public  License.  This exception does not  --
--  however invalidate  any other reasons why  the executable file  might be  --
--  covered by the  GNU Public License.                                       --
--                                                                            --
--  GNADE is implemented to work with GNAT, the GNU Ada compiler.             --
--                                                                            --
--  <a>                                                                       --
--  Functional Description                                                    --
--  ======================                                                    --
--                                                                            --
--  </a>                                                                      --
--                                                                            --
--  Restrictions                                                              --
--  ============                                                              --
--                                                                            --
--                                                                            --
--  References                                                                --
--  ==========                                                                --
--  None                                                                      --
--                                                                            --
--------------------------------------------------------------------------------
with Ada.Containers.Vectors;
with GNU.DB.Support.Wide_String_Vectors;

package GNU.DB.Support.Wide_String_Tables
   is new Ada.Containers.Vectors (Natural,
                                  Wide_String_Vectors.Vector,
                                  Wide_String_Vectors."=");
